Can only input integer value in the vertex editor

2018-02-14 02:14 PM - Loïc BARTOLETTI

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25998

Description

With a FR locale, it is impossible to enter coordinates with a point as a decimal separator (well). But when you enter a value with a

decimal, using the comma (FR numeric), it sets the cell to 0. It is only possible to enter integers.

It is also possible to enter spaces but this also sets the cell to 0.

Associated revisions

Revision fc661725 - 2018-09-17 04:26 PM - Alessandro Pasotti 

[bugfix] Fixes float input in advanced digitizing ...

... with not-dot locales

Fixes #18102 - Can only input integer value in the vertex editor

Precision is hardcoded to 6 decimal places, we can either increase it

or make it configurable.

History

#1 - 2018-05-25 05:27 PM - Dominique Lyszczarz

Confirmed in this french message board : https://georezo.net/forum/viewtopic.php?pid=309247#p309247

#2 - 2018-05-29 02:04 PM - Harrissou Santanna

- Regression? changed from No to Yes

#3 - 2018-09-01 02:46 PM - Harrissou Santanna

- Status changed from Open to Feedback

Seems the comma is working now on master!

#4 - 2018-09-01 05:08 PM - Alessandro Pasotti

- Assignee changed from Martin Dobias to Alessandro Pasotti

Let me know if this is still an issue in current master, and in which O.S. (I've seen this problem before but only on windows).
#5 - 2018-09-17 02:57 PM - Loïc BARTOLETTI

Tested on Windows, it's works.

But For example i have "1234,456". editing the node show me "1234.456" if I change to "1234.789" doesn't works. I need to remove the dot to a comma

"1234,789". A comma is normal, but the editor should be already with a comma not a dot.

Thanks

#6 - 2018-09-17 03:02 PM - Alessandro Pasotti

Thanks for checking, I'll have a look. What is your operating system?

#7 - 2018-09-17 03:12 PM - Loïc BARTOLETTI

Tested on windows 10 and FreeBSD 12

#8 - 2018-09-17 03:40 PM - Alessandro Pasotti

Fixed, but I'd like to get a decent precision: do you know if is there a setting for precision? How many decimal places should we show here?

#9 - 2018-09-17 03:41 PM - Alessandro Pasotti

- Status changed from Feedback to In Progress

#10 - 2018-09-17 04:29 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/7929

#11 - 2018-09-18 03:53 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|fc6617251d8b253ca0b36dd5ae5dfd4415618529.
